---
lang: en
title: 'API docs: rest.restapplication._constructor__1'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.restapplication._constructor__1.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RestApplication](./rest.restapplication.md) &gt; [(constructor)](./rest.restapplication._constructor__1.md)

## RestApplication.(constructor)

Create a REST application with the given configuration and parent context

<b>Signature:</b>

```typescript
constructor(config?: ApplicationConfig, parent?: Context);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  config | <code>ApplicationConfig</code> | Application configuration |
|  parent | <code>Context</code> | Parent context |


